<?php
class ControllerPaymenTtbigr extends Controller {
	public function index() {
		$data['button_confirm'] = $this->language->get('button_confirm');

		$data['text_loading'] = $this->language->get('text_loading');

		$data['continue'] = $this->url->link('mt_tbigr_credit/tbigr&order_id=' . $this->session->data['order_id'] . '&type=TBI', '', '');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/tbigr.tpl')) {
			return $this->load->view($this->config->get('config_template') . '/template/payment/tbigr.tpl', $data);
		} else {
			return $this->load->view('default/template/payment/tbigr.tpl', $data);
		}
	}

	public function confirm() {
		if ($this->session->data['payment_method']['code'] == 'tbigr') {
			$this->session->data['tbigr_send'] = 'Yes';
			$this->load->model('checkout/order');

			$this->model_checkout_order->addOrderHistory($this->session->data['order_id'], $this->config->get('tbigr_order_status_id'));
		}
	}
}
