<?php

class ModelPaymentTbigriris extends Model {

	public function getMethod($address, $total) {

		$this->load->language('payment/tbigriris');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('tbigriris_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if ($this->config->get('tbigriris_total') > 0 && $this->config->get('tbigriris_total') > $total) {

			$status = false;

		} elseif (!$this->config->get('tbigriris_geo_zone_id')) {

			$status = true;

		} elseif ($query->num_rows) {

			$status = true;

		} else {

			$status = false;

		}

		

		$tbigr_status = $this->config->get('mt_tbigr_credit_status');

		if ($tbigr_status == '0'){

			$status = false;

		}else{

			$TBIGR_LIVEURL = 'https://calc.tbibank.gr';

			$tbigr_unicid = $this->config->get('mt_tbigr_credit_unicid');

			$tbigr_ch = curl_init();

			curl_setopt($tbigr_ch, CURLOPT_SSL_VERIFYPEER, false);

			curl_setopt($tbigr_ch, CURLOPT_RETURNTRANSFER, true);

			curl_setopt($tbigr_ch, CURLOPT_MAXREDIRS, 2);

			curl_setopt($tbigr_ch, CURLOPT_TIMEOUT, 5);

			curl_setopt($tbigr_ch, CURLOPT_URL, $TBIGR_LIVEURL . '/function/getparameters.php?cid='.$tbigr_unicid);

			$paramstbigr = json_decode(curl_exec($tbigr_ch), true);

			curl_close($tbigr_ch);

			$tbigr_status_iris = $paramstbigr['iris_status'];

			if ($tbigr_status_iris == "No"){

				$status = false;

			}

		}

		

		$method_data = array();

		if ($status) {

			$method_data = array(

				'code'       => 'tbigriris',

				'title'      => $this->language->get('text_title'),

				'terms'      => '',

				'sort_order' => $this->config->get('tbigriris_sort_order')

			);

		}

		return $method_data;

	}

}